Subject: Re: Email not searchable in our archives

From: "Magnus Hagander" <[email-masked]>
Date: Wed, 12 Mar 2008 09:11:26 +0100

> bruce wrote:
> > Would someone please fine out why the attached email from Heikki is not
> > appearing in a search of our archives?  I tried the subject and a line
> > from the email and neither came up as a hit:
> 
> OK, it has been 24 hours since I reported some emails are not being
> archived and no one has even responded they are looking at the problem.
> 
> Are we unable to manage our own archive search?  If we can't, I will
> start linking to another archive from the TODO list.  Right now, every
> time I need a URL for the TODO list I have to troll through the archives
> by date until I find the email.

Obviously I wil look at this as soon as I can. But as Dave has already pointed out, most of us has a dayjob that has to be prioritised, so everything cannot be done within 24 hours. I was hopeing somebody else would have time to look at it meanwhile, but so far nobody has had the time. If this is not acceptable then the answer to your question is no, we currently can't do it.

I notice, however, that when we have a similar issue with for example the patch queue not being updated for many many weeks, that is considered a *feature*, and not a problem. Are we not able to manage our own patch queue? If we can't, perhaps we should stop all development until we can be sure it's always up-to-date?

/Magnus

---

From: Bruce Momjian <[email-masked]>
Date: Wed, 12 Mar 2008 08:45:42 -0400 (EDT)

Magnus Hagander wrote:
> Obviously I wil look at this as soon as I can. But as Dave has
> already pointed out, most of us has a dayjob that has to be
> prioritised, so everything cannot be done within 24 hours. I
> was hopeing somebody else would have time to look at it meanwhile,
> but so far nobody has had the time. If this is not acceptable
> then the answer to your question is no, we currently can't do
> it.

OK, so should we look to outsource our searching?  (Of cource, Google
isn't indexing all the emails either so I am worried about outsourcing
too.)

> I notice, however, that when we have a similar issue with for
> example the patch queue not being updated for many many weeks,
> that is considered a *feature*, and not a problem. Are we not
> able to manage our own patch queue? If we can't, perhaps we
> should stop all development until we can be sure it's always
> up-to-date?

The patch emails have always been available and online.  What wasn't
done is processing them as TODO items and applying, and that isn't going
to be done for weeks still, I bet.

We don't have an option to outsource that, but we do have the option for
search.  Also, search is a public infrastructure issue, while the patch
queue is a development tool --- I don't consider them to have the same
reliability requirements.

Also, I have been working on the patch queue for a week, and so has Tom.
The search problem, a more public infrastructure with a higher promise
of reliability, isn't even being worked on yet.

--
  Bruce Momjian  <[email-masked]>        http://momjian.us
  EnterpriseDB                             http://postgres.enterprisedb.com

  + If your life is a hard drive, Christ can be your backup. +